# use node image
image: node:15.5.0

# list stages
stages:
  # - build
  # - test
  - deploy

# Job 1
deploy-staging:
  stage: deploy
  image: ruby:latest
  script:
    - apt-get update -qy
    - apt-get install -y ruby-dev
    - gem install dpl
    - dpl --provider=heroku --app=$HEROKU_APP_NAME_STAG --api-key=$HEROKU_API_KEY
  only:
    - master

# Job 2
# deploy-production:
#   stage: deploy
#   image: ruby:latest
#   script:
#     - apt-get update -qy
#     - apt-get install -y ruby-dev
#     - gem install dpl
#     - dpl --provider=heroku --app=$HEROKU_APP_NAME_PROD --api-key=$HEROKU_API_KEY
#   only:
#     - master
